--大厅，空间接入
YELLOW_DISCOUNT_ID = ""
BLUE_DISCOUNT_ID = ""
ADMIN_QQAPI_URL = "/qqapi/delivery.php?a="
REPORT_QUIT_PHP = "/qqapi/report_quit.php?a="
REPORT_LOGIN_PHP = "/qqapi/report_login.php?a="
REPORT_REG_PHP = "/qqapi/report_reg.php?a="
REPORT_CREATE_PHP = "/qqapi/report_create.php?a="
QQ_GOOD_URL = "https://res-rcy.fengzhangame.net/13001/102.png"
ADMIN_QQAPI_REAL_NAME_REGISTER = "/qqapi/real_name_register.php?a="

--微信小程序接入
TENCENT_BUY_URL = "/game/tencentpay.php?a="

--方块玩上报
REPORT_FKW_REPORT_PHP = "/fangkuaiwan/data_report.php?a="
REPORT_FKW_PAY_REPORT_PHP = "/fangkuaiwan/data_pay_report.php?a="
CHAT_REPORT = "/api/chat_report.php?a="
MIDDLE_INFO_URL = "/api/get_middle_info.php?a="

-- 返利接口
REPORT_FANLI_REPORT_PHP = "/api/report_fanli.php?a="


--分割字符串工具接口
function Split(szFullString, szSeparator)
	local nFindStartIndex = 1
	local nSplitIndex = 1
	local nSplitArray = {}
	if szSeparator == nil or szSeparator == "" then
		return nSplitArray
	end
	local count = 1
	while true do
		count = count + 1
		if count > 10 then
			break
		end
	   local nFindLastIndex = string.find(szFullString, szSeparator, nFindStartIndex)
	   if not nFindLastIndex then
		nSplitArray[nSplitIndex] = string.sub(szFullString, nFindStartIndex, string.len(szFullString))
		break
	   end
	   nSplitArray[nSplitIndex] = string.sub(szFullString, nFindStartIndex, nFindLastIndex - 1)
	   nFindStartIndex = nFindLastIndex + string.len(szSeparator)
	   nSplitIndex = nSplitIndex + 1
	end
	return nSplitArray
end

function MakeTencentCommonParam(pf_info)
    return {openid = pf_info.openid,
            openkey = pf_info.openkey,
            pfkey = pf_info.pfkey,
            pf = pf_info.pf,}
end